Cancel Subscription
curl --request POST \
--url https://api.example.com/api/v1/subscriptions/{subscription_id}/cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"cancel_at_period_end": false
}
'import requests
url = "https://api.example.com/api/v1/subscriptions/{subscription_id}/cancel"
payload = { "cancel_at_period_end": False }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancel_at_period_end: false})
};
fetch('https://api.example.com/api/v1/subscriptions/{subscription_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancel_at_period_end": true,
"refund": {
"refund_amount": 123,
"reason": "",
"policy_name": "<string>",
"refund_type": "<string>",
"remaining_ratio": 123,
"period_start": "<string>",
"period_end": "<string>",
"cancellation_fee": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Subscriptions
Cancel subscription
POST
/
api
/
v1
/
subscriptions
/
{subscription_id}
/
cancel
Cancel Subscription
Headers
Path Parameters
Body
application/json